
  <!DOCTYPE html>
  <html>
    <head>
      <title>feeds.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/queries/feeds.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">57</td><td class="">57</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useMutation, useQuery } from &#x27;react-query&#x27;;
import { Feed, FeedsApi } from &#x27;../api/feed&#x27;;
import { MUTATIONS } from &#x27;./mutationsEnum&#x27;;

export const useCreateFeeds = () =&gt;
  useMutation(
    ({ projectId, feeds }: { projectId: string; feeds: Feed[] }) =&gt;
      FeedsApi.create(projectId, feeds),
    {
      mutationKey: MUTATIONS.CREATE_FEEDS
    }
  );

export const useDeleteFeeds = () =&gt;
  useMutation(
    ({ projectId, feedIds }: { projectId: string; feedIds: string[] }) =&gt;
      Promise.all(feedIds.map((feedId) =&gt; FeedsApi.delete(projectId, feedId))),
    {
      mutationKey: MUTATIONS.DELETE_FEEDS
    }
  );

export const useProjectFeeds = (projectId: string) =&gt;
  useQuery(MUTATIONS.GET_FEEDS, () =&gt; FeedsApi.getAll(projectId));

export const useUpdateFeeds = () =&gt;
  useMutation(
    ({
      projectId,
      feeds
    }: {
      projectId: string;
      feeds: (Feed &amp; { id: string })[];
    }) =&gt; FeedsApi.update(projectId, feeds)
  );
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  